## libuv1 1.24.1

=== CMakeLists.txt ===
# TODO: determine CMAKE_SYSTEM_NAME on OS/390.  Currently assumes "OS/390".
cmake_minimum_required(VERSION 3.0)
project(libuv)
enable_testing()

if(MSVC)
  list(APPEND uv_cflags /W4)
elseif(CMAKE_C_COMPILER_ID MATCHES "AppleClang|Clang|GNU")
  list(APPEND uv_cflags -fvisibility=hidden --std=gnu89)
  list(APPEND uv_cflags -Wall -Wextra -Wstrict-prototypes)
  list(APPEND uv_cflags -Wno-unused-parameter)
endif()

set(uv_sources
    src/fs-poll.c
    src/idna.c
    src/inet.c
    src/strscpy.c
    src/threadpool.c
    src/timer.c
    src/uv-common.c
    src/uv-data-getter-setters.c
    src/version.c)

set(uv_test_sources
    test/blackhole-server.c
    test/echo-server.c
    test/run-tests.c
    test/runner.c
    test/test-active.c
    test/test-async-null-cb.c
    test/test-async.c
    test/test-barrier.c
    test/test-callback-order.c
    test/test-callback-stack.c
    test/test-close-fd.c
    test/test-close-order.c
    test/test-condvar.c
    test/test-connect-unspecified.c
    test/test-connection-fail.c
    test/test-cwd-and-chdir.c
    test/test-default-loop-close.c
    test/test-delayed-accept.c
    test/test-dlerror.c
    test/test-eintr-handling.c
    test/test-embed.c
    test/test-emfile.c
    test/test-env-vars.c
    test/test-error.c
    test/test-fail-always.c
    test/test-fork.c
    test/test-fs-copyfile.c
    test/test-fs-event.c
    test/test-fs-poll.c
    test/test-fs.c
    test/test-get-currentexe.c
    test/test-get-loadavg.c
    test/test-get-memory.c
    test/test-get-passwd.c
    test/test-getaddrinfo.c
    test/test-gethostname.c
    test/test-getnameinfo.c
    test/test-getsockname.c
    test/test-getters-setters.c
    test/test-handle-fileno.c
    test/test-homedir.c
    test/test-hrtime.c
    test/test-idle.c
    test/test-idna.c
    test/test-ip4-addr.c
    test/test-ip6-addr.c
    test/test-ip6-addr.c
    test/test-ipc-heavy-traffic-deadlock-bug.c
    test/test-ipc-send-recv.c
    test/test-ipc.c
    test/test-loop-alive.c
    test/test-loop-close.c
    test/test-loop-configure.c
    test/test-loop-handles.c
    test/test-loop-stop.c
    test/test-loop-time.c
    test/test-multiple-listen.c
    test/test-mutexes.c
    test/test-osx-select.c
    test/test-pass-always.c
    test/test-ping-pong.c
    test/test-pipe-bind-error.c
    test/test-pipe-close-stdout-read-stdin.c
    test/test-pipe-connect-error.c
    test/test-pipe-connect-multiple.c
    test/test-pipe-connect-prepare.c
    test/test-pipe-getsockname.c
    test/test-pipe-pending-instances.c
    test/test-pipe-sendmsg.c
    test/test-pipe-server-close.c
    test/test-pipe-set-fchmod.c
    test/test-pipe-set-non-blocking.c
    test/test-platform-output.c
    test/test-poll-close-doesnt-corrupt-stack.c
    test/test-poll-close.c
    test/test-poll-closesocket.c
    test/test-poll-oob.c
    test/test-poll.c
    test/test-process-priority.c
    test/test-process-title-threadsafe.c
    test/test-process-title.c
    test/test-queue-foreach-delete.c
    test/test-ref.c
    test/test-run-nowait.c
    test/test-run-once.c
    test/test-semaphore.c
    test/test-shutdown-close.c
    test/test-shutdown-eof.c
    test/test-shutdown-twice.c
    test/test-signal-multiple-loops.c
    test/test-signal.c
    test/test-socket-buffer-size.c
    test/test-spawn.c
    test/test-stdio-over-pipes.c
    test/test-strscpy.c
    test/test-tcp-alloc-cb-fail.c
    test/test-tcp-bind-error.c
    test/test-tcp-bind6-error.c
    test/test-tcp-close-accept.c
    test/test-tcp-close-while-connecting.c
    test/test-tcp-close.c
    test/test-tcp-connect-error-after-write.c
    test/test-tcp-connect-error.c
    test/test-tcp-connect-timeout.c
    test/test-tcp-connect6-error.c
    test/test-tcp-create-socket-early.c
    test/test-tcp-flags.c
    test/test-tcp-oob.c
    test/test-tcp-open.c
    test/test-tcp-read-stop.c
    test/test-tcp-shutdown-after-write.c
    test/test-tcp-try-write.c
    test/test-tcp-unexpected-read.c
    test/test-tcp-write-after-connect.c
    test/test-tcp-write-fail.c
    test/test-tcp-write-queue-order.c
    test/test-tcp-write-to-half-open-connection.c
    test/test-tcp-writealot.c
    test/test-thread-equal.c
    test/test-thread.c
    test/test-threadpool-cancel.c
    test/test-threadpool.c
    test/test-timer-again.c
    test/test-timer-from-check.c
    test/test-timer.c
    test/test-tmpdir.c
    test/test-tty.c
    test/test-udp-alloc-cb-fail.c
    test/test-udp-bind.c
    test/test-udp-create-socket-early.c
    test/test-udp-dgram-too-big.c
    test/test-udp-ipv6.c
    test/test-udp-multicast-interface.c
    test/test-udp-multicast-interface6.c
    test/test-udp-multicast-join.c
    test/test-udp-multicast-join6.c
    test/test-udp-multicast-ttl.c
    test/test-udp-open.c
    test/test-udp-options.c
    test/test-udp-send-and-recv.c
    test/test-udp-send-hang-loop.c
    test/test-udp-send-immediate.c
    test/test-udp-send-unreachable.c
    test/test-udp-try-send.c
    test/test-walk-handles.c
    test/test-watcher-cross-stop.c)

if(WIN32)
  list(APPEND uv_defines WIN32_LEAN_AND_MEAN _WIN32_WINNT=0x0600)
  list(APPEND uv_libraries
       advapi32
       iphlpapi
       psapi
       shell32
       user32
       userenv
       ws2_32)
  list(APPEND uv_sources
       src/win/async.c
       src/win/core.c
       src/win/detect-wakeup.c
       src/win/dl.c
       src/win/error.c
       src/win/fs.c
       src/win/fs-event.c
       src/win/getaddrinfo.c
       src/win/getnameinfo.c
       src/win/handle.c
       src/win/loop-watcher.c
       src/win/pipe.c
       src/win/thread.c
       src/win/poll.c
       src/win/process.c
       src/win/process-stdio.c
       src/win/signal.c
       src/win/snprintf.c
       src/win/stream.c
       src/win/tcp.c
       src/win/tty.c
       src/win/udp.c
       src/win/util.c
       src/win/winapi.c
       src/win/winsock.c)
  list(APPEND uv_test_libraries ws2_32)
  list(APPEND uv_test_sources src/win/snprintf.c test/runner-win.c)
else()
  list(APPEND uv_defines _FILE_OFFSET_BITS=64 _LARGEFILE_SOURCE)
  if(NOT CMAKE_SYSTEM_NAME STREQUAL "Android")
    # Android has pthread as part of its c library, not as a separate 
    # libpthread.so.
    list(APPEND uv_libraries pthread)
  endif()
  list(APPEND uv_sources
       src/unix/async.c
       src/unix/core.c
       src/unix/dl.c
       src/unix/fs.c
       src/unix/getaddrinfo.c
       src/unix/getnameinfo.c
       src/unix/loop-watcher.c
       src/unix/loop.c
       src/unix/pipe.c
       src/unix/poll.c
       src/unix/process.c
       src/unix/signal.c
       src/unix/stream.c
       src/unix/tcp.c
       src/unix/thread.c
       src/unix/tty.c
       src/unix/udp.c)
  list(APPEND uv_test_sources test/runner-unix.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "AIX")
  list(APPEND uv_defines
       _ALL_SOURCE
       _LINUX_SOURCE_COMPAT
       _THREAD_SAFE
       _XOPEN_SOURCE=500)
  list(APPEND uv_libraries perfstat)
  list(APPEND uv_sources src/unix/aix.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Android")
  list(APPEND uv_libs dl)
  list(APPEND uv_sources
       src/unix/android-ifaddrs.c
       src/unix/linux-core.c
       src/unix/linux-inotify.c
       src/unix/linux-syscalls.c
       src/unix/procfs-exepath.c
       src/unix/pthread-fixes.c
       src/unix/sysinfo-loadavg.c
       src/unix/sysinfo-memory.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Android|Darwin|Linux|OS/390")
  list(APPEND uv_sources src/unix/proctitle.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD")
  list(APPEND uv_sources src/unix/freebsd.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD|NetBSD|OpenBSD")
  list(APPEND uv_sources src/unix/posix-hrtime.c src/unix/bsd-proctitle.c)
  list(APPEND uv_libraries kvm)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|NetBSD|OpenBSD")
  list(APPEND uv_sources src/unix/bsd-ifaddrs.c src/unix/kqueue.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  list(APPEND uv_defines _DARWIN_UNLIMITED_SELECT=1 _DARWIN_USE_64_BIT_INODE=1)
  list(APPEND uv_sources
       src/unix/darwin-proctitle.c
       src/unix/darwin.c
       src/unix/fsevents.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
  list(APPEND uv_defines _GNU_SOURCE _POSIX_C_SOURCE=200112)
  list(APPEND uv_libraries dl rt)
  list(APPEND uv_sources
       src/unix/linux-core.c
       src/unix/linux-inotify.c
       src/unix/linux-syscalls.c
       src/unix/procfs-exepath.c
       src/unix/sysinfo-loadavg.c
       src/unix/sysinfo-memory.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
  list(APPEND uv_sources src/unix/netbsd.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
  list(APPEND uv_sources src/unix/openbsd.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "OS/390")
  list(APPEND uv_defines PATH_MAX=255)
  list(APPEND uv_defines _AE_BIMODAL)
  list(APPEND uv_defines _ALL_SOURCE)
  list(APPEND uv_defines _LARGE_TIME_API)
  list(APPEND uv_defines _OPEN_MSGQ_EXT)
  list(APPEND uv_defines _OPEN_SYS_FILE_EXT)
  list(APPEND uv_defines _OPEN_SYS_IF_EXT)
  list(APPEND uv_defines _OPEN_SYS_SOCK_IPV6)
  list(APPEND uv_defines _UNIX03_SOURCE)
  list(APPEND uv_defines _UNIX03_THREADS)
  list(APPEND uv_defines _UNIX03_WITHDRAWN)
  list(APPEND uv_defines _XOPEN_SOURCE_EXTENDED)
  list(APPEND uv_sources
       src/unix/pthread-fixes.c
       src/unix/pthread-barrier.c
       src/unix/os390.c
       src/unix/os390-syscalls.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "SunOS")
  list(APPEND uv_defines __EXTENSIONS__ _XOPEN_SOURCE=500)
  list(APPEND uv_libraries kstat nsl sendfile socket)
  list(APPEND uv_sources src/unix/no-proctitle.c src/unix/sunos.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|Linux|NetBSD|OpenBSD")
  list(APPEND uv_test_libraries util)
endif()

add_library(uv SHARED ${uv_sources})
target_compile_definitions(uv PRIVATE ${uv_defines} BUILDING_UV_SHARED=1)
target_compile_options(uv PRIVATE ${uv_cflags})
target_include_directories(uv PRIVATE include src)
target_link_libraries(uv ${uv_libraries})

add_library(uv_a STATIC ${uv_sources})
target_compile_definitions(uv_a PRIVATE ${uv_defines})
target_compile_options(uv_a PRIVATE ${uv_cflags})
target_include_directories(uv_a PRIVATE include src)
target_link_libraries(uv_a ${uv_libraries})

if(BUILD_TESTING)
  include(CTest)
  add_executable(uv_run_tests ${uv_test_sources})
  target_compile_definitions(uv_run_tests PRIVATE ${uv_defines})
  target_compile_options(uv_run_tests PRIVATE ${uv_cflags})
  target_include_directories(uv_run_tests PRIVATE include)
  target_link_libraries(uv_run_tests uv ${uv_test_libraries})
  add_test(NAME uv_test
           COMMAND uv_run_tests
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  add_executable(uv_run_tests_a ${uv_test_sources})
  target_compile_definitions(uv_run_tests_a PRIVATE ${uv_defines})
  target_compile_options(uv_run_tests_a PRIVATE ${uv_cflags})
  target_include_directories(uv_run_tests_a PRIVATE include)
  target_link_libraries(uv_run_tests_a uv_a ${uv_test_libraries})
  add_test(NAME uv_test_a
           COMMAND uv_run_tests_a
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(UNIX)
  # Now for some gibbering horrors from beyond the stars...
  include(GNUInstallDirs)
  foreach(x ${uv_libraries})
    set(LIBS "${LIBS} -l${x}")
  endforeach(x)
  file(STRINGS configure.ac configure_ac REGEX ^AC_INIT)
  string(REGEX MATCH [0-9]+[.][0-9]+[.][0-9]+ PACKAGE_VERSION "${configure_ac}")
  set(includedir ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR})
  set(libdir ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
  set(prefix ${CMAKE_INSTALL_PREFIX})
  configure_file(libuv.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc @ONLY)

  install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
  install(FILES LICENSE DESTINATION ${CMAKE_INSTALL_DOCDIR})
  install(FILES LICENSE ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
  install(TARGETS uv LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libuv1 (1.24.1-1) unstable; urgency=medium

  * new upstream version
  * update README.source instructions
  * refreshed copyright with cme
  * refreshed patches
  * update symbols file
  * add Build-Depends-Package in symbols file
  * update compat to 12
  * control: declare compliance with policy 4.3.0
  * control: remove build-dev on dh-autoreconf

 -- Dominique Dumont <dod@debian.org>  Mon, 21 Jan 2019 08:33:25 +0100

libuv1 (1.24.0-1) unstable; urgency=medium

  * new upstream version
  * fix git describe instruction in README.source
  * refreshed copyright (cme update dpkg)
  * removed configure.ac.diff, path_man and hurd-port patches
    (applied upstream)
  * refreshed path_max_zero_st_size patch
  * mark internal symbols (uv__*) as optional in symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 30 Nov 2018 15:58:40 +0100

libuv1 (1.23.2-2) unstable; urgency=medium

  * Fix path_max_zero_st_size to follow renaming of variable upstream.
    Thanks to Adam Conrad for the patch (Closes: #913779)

 -- Dominique Dumont <dod@debian.org>  Sun, 18 Nov 2018 17:32:35 +0100

libuv1 (1.23.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
    * d/changelog: Remove trailing whitespaces

  [ Dominique Dumont ]
  * new upstream version
  * copyright: rm one file (cme update dpkg)
  * README.source: fix version extraction from git
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Tue, 23 Oct 2018 14:58:34 +0200

libuv1 (1.23.1-1) unstable; urgency=medium

  * new upstream release:
    The following symbols were removed: uv__epoll_create1
    uv__epoll_create uv__epoll_ctl uv__epoll_pwait uv__epoll_wait
    uv__utimesat.
    No breakage is expected as these symbols are internal.
  * update README.source
  * refreshed patch path_max_zero_st_size
  * removed patch mips-epoll_pwait
  * remove some internal symbols from libuv1.symbols

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Oct 2018 12:32:24 +0200

libuv1 (1.23.0-2) unstable; urgency=medium

  * gbp.conf: set update-tag for all tools
  * add patch to fix zero buffer size of readlink()
    Thanks to Mauricio Faria de Oliveira <mfo@canonical.com> (LP: 1792647)
    (Closes: 909011)

 -- Dominique Dumont <dod@debian.org>  Tue, 18 Sep 2018 14:18:27 +0200

libuv1 (1.23.0-1) unstable; urgency=medium

  * new upstream version
  * control: declare compliance with policy 4.2.1
  * copyright: updated with cme
  * refreshed patch
  * updated symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Sep 2018 10:47:22 +0200

=== debian/control ===
Source: libuv1
Maintainer: Dominique Dumont <dod@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-exec,
               freebsd-glue [kfreebsd-any],
               libkvm-dev [kfreebsd-any],
               netbase,
               pkg-config
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/libuv1
Vcs-Git: https://salsa.debian.org/debian/libuv1.git
Homepage: https://github.com/libuv/libuv

Package: libuv1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkvm-dev [kfreebsd-any],
         libuv1 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libuv-dev,
           libuv0.10-dev
Replaces: libuv-dev
Description: asynchronous event notification library - development files
 Libuv is the asynchronous library behind Node.js. Very similar to libevent or
 libev, it provides the main elements for event driven systems: watching and
 waiting for availability in a set of sockets, and some other events like timers
 or asynchronous messages. However, libuv also comes with some other extras
 like:
  * files watchers and asynchronous operations
  * a portable TCP and UDP API, as well as asynchronous DNS resolution
  * processes and threads management, and a portable inter-process
    communications mechanism, with pipes and work queues
  * a plugins mechanism for loading libraries dynamically
  * interface with external libraries that also need to access the I/O.
 .
 Install this package if you wish to develop your own programs using the
 libuv engine.

Package: libuv1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: asynchronous event notification library - runtime library
 Libuv is the asynchronous library behind Node.js. Very similar to libevent or
 libev, it provides the main elements for event driven systems: watching and
 waiting for availability in a set of sockets, and some other events like timers
 or asynchronous messages. However, libuv also comes with some other extras
 like:
  * files watchers and asynchronous operations
  * a portable TCP and UDP API, as well as asynchronous DNS resolution
  * processes and threads management, and a portable inter-process
    communications mechanism, with pipes and work queues
  * a plugins mechanism for loading libraries dynamically
  * interface with external libraries that also need to access the I/O.
 .
 This package includes the dynamic library against which you can link
 your program.

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, gyp, gcc, libc-dev, g++

## libuv1 1.30.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # TODO: determine CMAKE_SYSTEM_NAME on OS/390.  Currently assumes "OS/390".
 cmake_minimum_required(VERSION 3.0)
 project(libuv)
-enable_testing()
 
 if(MSVC)
   list(APPEND uv_cflags /W4)
@@ -53,6 +52,7 @@
     test/test-fs-event.c
     test/test-fs-poll.c
     test/test-fs.c
+    test/test-fs-readdir.c
     test/test-get-currentexe.c
     test/test-get-loadavg.c
     test/test-get-memory.c
@@ -62,6 +62,7 @@
     test/test-getnameinfo.c
     test/test-getsockname.c
     test/test-getters-setters.c
+    test/test-gettimeofday.c
     test/test-handle-fileno.c
     test/test-homedir.c
     test/test-hrtime.c
@@ -135,6 +136,7 @@
     test/test-tcp-read-stop.c
     test/test-tcp-shutdown-after-write.c
     test/test-tcp-try-write.c
+    test/test-tcp-try-write-error.c
     test/test-tcp-unexpected-read.c
     test/test-tcp-write-after-connect.c
     test/test-tcp-write-fail.c
@@ -149,9 +151,11 @@
     test/test-timer-from-check.c
     test/test-timer.c
     test/test-tmpdir.c
+    test/test-tty-duplicate-key.c
     test/test-tty.c
     test/test-udp-alloc-cb-fail.c
     test/test-udp-bind.c
+    test/test-udp-connect.c
     test/test-udp-create-socket-early.c
     test/test-udp-dgram-too-big.c
     test/test-udp-ipv6.c
@@ -167,6 +171,7 @@
     test/test-udp-send-immediate.c
     test/test-udp-send-unreachable.c
     test/test-udp-try-send.c
+    test/test-uname.c
     test/test-walk-handles.c
     test/test-watcher-cross-stop.c)
 
@@ -211,7 +216,7 @@
 else()
   list(APPEND uv_defines _FILE_OFFSET_BITS=64 _LARGEFILE_SOURCE)
   if(NOT CMAKE_SYSTEM_NAME STREQUAL "Android")
-    # Android has pthread as part of its c library, not as a separate 
+    # Android has pthread as part of its c library, not as a separate
     # libpthread.so.
     list(APPEND uv_libraries pthread)
   endif()
@@ -255,11 +260,10 @@
        src/unix/linux-syscalls.c
        src/unix/procfs-exepath.c
        src/unix/pthread-fixes.c
-       src/unix/sysinfo-loadavg.c
-       src/unix/sysinfo-memory.c)
-endif()
-
-if(CMAKE_SYSTEM_NAME MATCHES "Android|Darwin|Linux|OS/390")
+       src/unix/sysinfo-loadavg.c)
+endif()
+
+if(APPLE OR CMAKE_SYSTEM_NAME MATCHES "Android|Linux|OS/390")
   list(APPEND uv_sources src/unix/proctitle.c)
 endif()
 
@@ -272,11 +276,11 @@
   list(APPEND uv_libraries kvm)
 endif()
 
-if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|NetBSD|OpenBSD")
+if(APPLE OR CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD|NetBSD|OpenBSD")
   list(APPEND uv_sources src/unix/bsd-ifaddrs.c src/unix/kqueue.c)
 endif()
 
-if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+if(APPLE)
   list(APPEND uv_defines _DARWIN_UNLIMITED_SELECT=1 _DARWIN_USE_64_BIT_INODE=1)
   list(APPEND uv_sources
        src/unix/darwin-proctitle.c
@@ -292,8 +296,7 @@
        src/unix/linux-inotify.c
        src/unix/linux-syscalls.c
        src/unix/procfs-exepath.c
-       src/unix/sysinfo-loadavg.c
-       src/unix/sysinfo-memory.c)
+       src/unix/sysinfo-loadavg.c)
 endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
@@ -330,7 +333,7 @@
   list(APPEND uv_sources src/unix/no-proctitle.c src/unix/sunos.c)
 endif()
 
-if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|Linux|NetBSD|OpenBSD")
+if(APPLE OR CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD|Linux|NetBSD|OpenBSD")
   list(APPEND uv_test_libraries util)
 endif()
 
@@ -346,10 +349,14 @@
 target_include_directories(uv_a PRIVATE include src)
 target_link_libraries(uv_a ${uv_libraries})
 
-if(BUILD_TESTING)
-  include(CTest)
+option(libuv_buildtests "Build the unit tests when BUILD_TESTING is enabled." ON)
+
+include(CTest)
+if(BUILD_TESTING AND libuv_buildtests)
+  enable_testing()
   add_executable(uv_run_tests ${uv_test_sources})
-  target_compile_definitions(uv_run_tests PRIVATE ${uv_defines})
+  target_compile_definitions(uv_run_tests
+                             PRIVATE ${uv_defines} USING_UV_SHARED=1)
   target_compile_options(uv_run_tests PRIVATE ${uv_cflags})
   target_include_directories(uv_run_tests PRIVATE include)
   target_link_libraries(uv_run_tests uv ${uv_test_libraries})
@@ -380,7 +387,3 @@
   configure_file(libuv.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc @ONLY)
 
   install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
-  install(FILES LICENSE DESTINATION ${CMAKE_INSTALL_DOCDIR})
-  install(FILES LICENSE ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc
-          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
-  install(TARGETS uv LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libuv1 (1.30.1-1) unstable; urgency=medium

  * new upstream version
  * update symbols file
  * ignore jpg files when scanning copyright
  * updated copyright with cme
  * refreshed patches
  * control: declare compliance with policy 4.4.0
  * control: add libuv1-dev dependency on freebsd-glue [kfreebsd-any].
    Thanks to Sebastian Reichel for the hint (Closes: 921424)

 -- Dominique Dumont <dod@debian.org>  Fri, 26 Jul 2019 11:03:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
@@ -18,9 +18,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkvm-dev [kfreebsd-any],
-         libuv1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         freebsd-glue [kfreebsd-any],
+         libkvm-dev [kfreebsd-any],
+         libuv1 (= ${binary:Version})
 Conflicts: libuv-dev,
            libuv0.10-dev
 Replaces: libuv-dev

## libuv1 1.34.2

=== debian/changelog ===
libuv1 (1.34.2-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:38:11 -0800

libuv1 (1.34.2-1) unstable; urgency=medium

  * new upstream version
  * add override license instructions for "cme udpate"
  * update copyright file with cme
  * refreshed patches
  * update symbols
  * control: declare compliance with policy 4.5.0

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Feb 2020 14:55:42 +0100

libuv1 (1.33.1-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.
  * Dropped changes, included in Debian:
    - Make autopkgtests cross-build-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 21:20:24 -0800

libuv1 (1.33.1-3) unstable; urgency=medium

  * make autopkgtests cross-test-friendly.
    Thanks to Steve Langasek for the heads-up and the patch (Closes: #950294)
  * no longer install libuv.la file

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Jan 2020 15:46:39 +0100

libuv1 (1.33.1-2ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-build-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jan 2020 16:53:07 -0800

libuv1 (1.33.1-2ubuntu1) focal; urgency=medium

  * Use python2 in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 08:36:19 +0100

libuv1 (1.33.1-2) unstable; urgency=medium

  * add patch to disable multicast testsuite which break
    Debian builds

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 17:49:00 +0100

libuv1 (1.33.1-1) unstable; urgency=medium

  * new upstream version
  * refreshed copyright with cme
  * refreshed patches
  * regenerated symbol file
  * fix symbol regeneration instructions in README.source
  * use new style of debhelper dependency
  * control: comply with policy 4.4.1
  * install libuv.la file in libuv1-dev package

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 14:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libuv1
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export SOVER=1
export SONAME=libuv.so.$(SOVER)
export SOPKG=libuv$(SOVER)

# tell glibc to disable dns requests for the tests
export RES_OPTIONS = attempts:0

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_strip:
	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'

override_dh_clean:
	dh_clean
	# Clean autoreconf files
	$(RM) -- ltmain.sh m4/libtool.m4
	find m4 -name 'lt*.m4' -delete

# Testsuite is not robust enough, ignore errors on non-linux
override_dh_auto_test:
ifeq ($(DEB_BUILD_ARCH_OS),linux)
	dh_auto_test
else
	-dh_auto_test
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sign/ \
 https://dist.libuv.org/dist/v(\d+\.\d+\.\d+)/libuv-v(\d+\.\d+\.\d+)\.tar\.gz

## libuv1 1.38.0

=== debian/changelog ===
libuv1 (1.38.0-2ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-8252.patch: fix buffer overruns when
      processing very long paths in uv_fs_readlink() in src/unix/internal.h.
    - CVE-2020-8252

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 25 Sep 2020 10:39:29 -0300

libuv1 (1.38.0-2ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in tools/make_dist_html.py

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Jun 2020 11:13:26 -0700

libuv1 (1.38.0-2) unstable; urgency=medium

  * use cmake instead of autotools to build libuv.
    As a consequence:
    * control: add cmake build dep
    * archive lib is now libuv_a.a
    * remove all internal symbols from symbol file
    * rules is updated to not run tests in parallel
  * remove autopkgtest (Closes: 961878)

 -- Dominique Dumont <dod@debian.org>  Wed, 10 Jun 2020 19:18:03 +0200

libuv1 (1.38.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 13:25:19 -0700

libuv1 (1.38.0-1) unstable; urgency=medium

  * new upstream version
  * fill.copyright.blanks: add override for files under m4/
  * refreshed copyright with cme
  * refreshed patches
  * update symbols
  * rules: increase test timeout for sparc64

 -- Dominique Dumont <dod@debian.org>  Fri, 22 May 2020 18:55:41 +0200

libuv1 (1.35.0-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use python2 in the autopkg test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:30:29 -0700

libuv1 (1.35.0-2) unstable; urgency=medium

  * rules: fix increased timeout of time sensitive tests

 -- Dominique Dumont <dod@debian.org>  Thu, 16 Apr 2020 10:49:47 +0200

libuv1 (1.35.0-1) unstable; urgency=medium

  * new upstream version
  * copyright: update with cme
  * remove slow-down-some-tests patch
  * README.source: fix instructions for symbol patch generation
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 15 Apr 2020 16:29:44 +0200

libuv1 (1.34.2-4) experimental; urgency=medium

  * fix gnumake syntax

 -- Dominique Dumont <dod@debian.org>  Fri, 14 Feb 2020 10:01:00 +0100

libuv1 (1.34.2-3) experimental; urgency=medium

  * rules: slow down tests for hppa and riscv64

 -- Dominique Dumont <dod@debian.org>  Thu, 13 Feb 2020 14:43:56 +0100

libuv1 (1.34.2-2) experimental; urgency=medium

  * add patch to slow test down for slow arches
  * rules: relax timeout on heavy tests

 -- Dominique Dumont <dod@debian.org>  Wed, 12 Feb 2020 18:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                dh-exec,
                freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],

=== debian/rules ===
--- 
+++ 
@@ -19,25 +19,22 @@
 # tell glibc to disable dns requests for the tests
 export RES_OPTIONS = attempts:0
 
+ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),mips hppa riscv64 sparc64))
+$(info "Note: Increasing timeout of time sensitive tests")
+export UV_TEST_TIMEOUT_MULTIPLIER = 2
+endif
+
 %:
-	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+	dh $@ --without autoreconf
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'
 
-override_dh_clean:
-	dh_clean
-	# Clean autoreconf files
-	$(RM) -- ltmain.sh m4/libtool.m4
-	find m4 -name 'lt*.m4' -delete
-
 # Testsuite is not robust enough, ignore errors on non-linux
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
-	dh_auto_test
+# tests fail if they are run in parallel
+	dh_auto_test --no-parallel
 else
 	-dh_auto_test
 endif

## libuv1 1.40.0

=== debian/changelog ===
libuv1 (1.40.0-2) unstable; urgency=medium

  * add patch for CVE-2021-22918 (Closes: #990561)

 -- Dominique Dumont <dod@debian.org>  Sun, 04 Jul 2021 09:43:38 +0200

libuv1 (1.40.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sat, 31 Oct 2020 18:43:46 +0100

libuv1 (1.39.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Sep 2020 17:27:18 +0200

libuv1 (1.38.0-3) unstable; urgency=medium

  * rules: increase timeout of time sensitive tests for all arch

 -- Dominique Dumont <dod@debian.org>  Sun, 28 Jun 2020 15:27:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,8 @@
 # tell glibc to disable dns requests for the tests
 export RES_OPTIONS = attempts:0
 
-ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),mips hppa riscv64 sparc64))
 $(info "Note: Increasing timeout of time sensitive tests")
 export UV_TEST_TIMEOUT_MULTIPLIER = 2
-endif
 
 %:
 	dh $@ --without autoreconf

## libuv1 1.43.0

=== debian/changelog ===
libuv1 (1.43.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: hostname restriction bypass via truncation
    - debian/patches/CVE-2024-24806-1.patch: always zero-terminate idna
      output in src/idna.c, test/test-idna.c.
    - debian/patches/CVE-2024-24806-2.patch: reject zero-length idna inputs
      in src/idna.c, test/test-idna.c.
    - debian/patches/CVE-2024-24806-3.patch: empty strings are not valid
      IDNA in test/test-idna.c.
    - CVE-2024-24806

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Feb 2024 12:38:02 -0500

libuv1 (1.43.0-1) unstable; urgency=medium

  * new upstream version
  * control:
    * declare compliance with policy 4.6.0
    * remove conflicts on ancient libuv0.10-dev package
  * update copyright with cme
  * do not install cmake files
  * update symbols file
  * README.source.org: add quilt pop -a instruction

 -- Dominique Dumont <dod@debian.org>  Sat, 15 Jan 2022 18:15:17 +0100

libuv1 (1.42.0-1) unstable; urgency=medium

  * new upstream version
  * update fill.copyright.blanks
  * update copyright with cme
  * removed patch for CVE (applied upstream)
  * refresh patch
  * control:
    * declare compliance with policy 4.5.1
    * use debhelper 13
    * set Rules-Requires-Root to no
  * watch: watch github and use v4
  * rules: remove obsolete dbgsym-migration instructions
  * update symbols file
  * converted README.source to org-mode

 -- Dominique Dumont <dod@debian.org>  Sat, 11 Sep 2021 18:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                freebsd-glue [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
                netbase,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
+Rules-Requires-Root: no
 
 Package: libuv1-dev
 Architecture: any
@@ -24,8 +25,7 @@
          freebsd-glue [kfreebsd-any],
          libkvm-dev [kfreebsd-any],
          libuv1 (= ${binary:Version})
-Conflicts: libuv-dev,
-           libuv0.10-dev
+Conflicts: libuv-dev
 Replaces: libuv-dev
 Description: asynchronous event notification library - development files
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or

## libuv1 1.44.1

=== debian/changelog ===
libuv1 (1.44.1-2+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite, it seems to fail on our lxc based autobuilders.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 24 Mar 2022 17:44:13 +0000

libuv1 (1.44.1-2) unstable; urgency=medium

  * update symbols file to fix hurd packaging

 -- Dominique Dumont <dod@debian.org>  Wed, 16 Mar 2022 19:16:11 +0100

libuv1 (1.44.1-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refresh patch
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Mar 2022 19:24:56 +0100

## libuv1 1.44.2

=== docs/code/Makefile ===
examples=\
	helloworld\
	default-loop\
	idle-basic\
	uvcat\
	uvtee\
	onchange\
	thread-create\
	queue-work\
	progress\
	tcp-echo-server\
	dns\
	udp-dhcp\
	idle-compute\
	ref-timer\
	spawn\
	detach\
	proc-streams\
	cgi\
	pipe-echo-server\
	multi-echo-server\
	tty\
	tty-gravity\
	interfaces\
	locks \
	signal \
	uvstop \
	queue-cancel

UV_PATH=$(shell pwd)/../..
UV_LIB=$(UV_PATH)/.libs/libuv.a
CFLAGS=-g -Wall -I$(UV_PATH)/include
LIBS=

uname_S=$(shell uname -s)

ifeq (Darwin, $(uname_S))
CFLAGS+=-framework CoreServices
SHARED_LIB_FLAGS=-bundle -undefined dynamic_lookup -o plugin/libhello.dylib
endif

ifeq (Linux, $(uname_S))
LIBS=-lrt -ldl -lm -pthread -lcurl
SHARED_LIB_FLAGS=-shared -Wl,-soname,libhello.so -o plugin/libhello.so
PLUGIN_EXE_FLAGS=-Wl,-export-dynamic
endif


all: $(examples) plugin/plugin proc-streams/test cgi/tick multi-echo-server/worker uvwget/uvwget

$(examples): % : %/main.c
	gcc $(CFLAGS) -o $@/$@  $< $(UV_LIB) $(LIBS)

plugin: plugin/plugin
plugin/plugin: plugin/*.c
	gcc $(CFLAGS) $(PLUGIN_EXE_FLAGS) -o plugin/plugin plugin/main.c $(UV_LIB) $(LIBS)
	gcc -g -Wall -c -fPIC -o plugin/hello.o plugin/hello.c
	gcc $(SHARED_LIB_FLAGS) plugin/hello.o

proc-streams/test: proc-streams/test.c
	gcc -g -Wall -o proc-streams/test proc-streams/test.c

cgi/tick: cgi/tick.c
	gcc -g -Wall -o cgi/tick cgi/tick.c

multi-echo-server/worker: multi-echo-server/worker.c
	gcc $(CFLAGS) -o multi-echo-server/worker multi-echo-server/worker.c $(UV_LIB) $(LIBS)

uvwget: uvwget/uvwget
uvwget/uvwget: uvwget/main.c
	gcc $(CFLAGS) `curl-config --cflags --libs` -o uvwget/uvwget uvwget/main.c $(UV_LIB) $(LIBS)

clean:
	for dir in $(examples); do cd $$dir; rm -f $$dir; rm -rf $$dir.dSYM; cd ..; done
	rm -rf plugin/*.o plugin/libhello.*
	rm -rf plugin/plugin plugin/plugin.dSYM
	rm -rf proc-streams/test proc-streams/test.dSYM
	rm -rf cgi/tick cgi/tick.dSYM
	rm -rf multi-echo-server/worker multi-echo-server/worker.dSYM
	rm -rf uvwget/uvwget uvwget/uvwget.dSYM

.PHONY: clean all $(examples) plugin uvwget

=== debian/changelog ===
libuv1 (1.44.2-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1.44.1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Mar 2022 17:44:13 +0000]
  * Disable testsuite, it seems to fail on our lxc based autobuilders.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 24 Sep 2022 19:17:35 +0000

libuv1 (1.44.2-1) unstable; urgency=medium

  * new upstream version
  * copyright: updated with cme
  * remove pristine-tar from build process
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Thu, 28 Jul 2022 18:35:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,11 @@
 %:
 	dh $@ --without autoreconf
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='$(SOPKG)-dbg (<< 1.11.0-1~)'
-
 # Testsuite is not robust enough, ignore errors on non-linux
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 # tests fail if they are run in parallel
-	dh_auto_test --no-parallel
+	#dh_auto_test --no-parallel
 else
-	-dh_auto_test
+	#-dh_auto_test
 endif

## libuv1 1.46.0

=== debian/changelog ===
libuv1 (1.46.0-3) unstable; urgency=medium

  * add patch to fix build on kernel < 5.10.186.
    Thanks to Simon Choppin and Ubuntu fot the patch (Closes: 1058743)

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Dec 2023 18:32:28 +0100

libuv1 (1.46.0-2) unstable; urgency=medium

  * re-release to unstable

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Oct 2023 16:37:48 +0200

libuv1 (1.46.0-1) experimental; urgency=medium

  * new upstream release:
  * control: declare compliance with policy 4.6.2
  * control: drop kfreebsd (dropped upstream)
  * fill-copyright-blanks:
    * specify license of a test file
    * drop removed files
    * specify CC-BY-4.0 license for doc files
  * refreshed copyright with cme
  * install LICENSE-extra file in libuv1-dev.docs
  * refreshed patches
  * update symbols file
  * ship libuv.a instead of libuv_a.a
  * update README.source.org

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Sep 2023 18:34:19 +0200

## libuv1 1.48.0

=== debian/changelog ===
libuv1 (1.48.0-5) unstable; urgency=medium

  * add patch to fix thread-priority test (Closes: 1071194)

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2024 18:57:50 +0200

libuv1 (1.48.0-4) unstable; urgency=medium

  * control: set Provides to ${t64:Provides} (Closes: #1071034)

 -- Dominique Dumont <dod@debian.org>  Wed, 15 May 2024 17:52:58 +0200

libuv1 (1.48.0-3) unstable; urgency=medium

  * rename libuv1 package to libuv1t64 (Closes: 1070912)

 -- Dominique Dumont <dod@debian.org>  Sun, 12 May 2024 16:33:19 +0200

libuv1 (1.48.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * new package libuv1-doc using sphinxdoc. Closes: #1017581.
  * patch: fix privacy-breach-generic in html doc

  [ Dominique Dumont ]
  * add patch to support loong64.
    Thanks to Graham Inggs (Closes: #1069214)

 -- Dominique Dumont <dod@debian.org>  Sun, 05 May 2024 18:20:25 +0200

libuv1 (1.48.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062694

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:01:37 +0000

libuv1 (1.48.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version:
    * Fix CVE-2024-24806 (Closes: #1063484)
  * copyright: update with cme
  * refreshed patches
  * rm patch lp2046442-linux-don-t-use-io_uring-...
  * refreshed symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Feb 2024 18:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libuv1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
-               freebsd-glue [kfreebsd-any],
-               libkvm-dev [kfreebsd-any],
+               dh-sequence-sphinxdoc <!nodoc>,
                netbase,
-               pkg-config
-Standards-Version: 4.6.0
+               pkgconf,
+               sphinx <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
 Rules-Requires-Root: no
 
 Package: libuv1-dev
-Architecture: any
+Architecture: linux-any hurd-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         freebsd-glue [kfreebsd-any],
-         libkvm-dev [kfreebsd-any],
-         libuv1 (= ${binary:Version})
+         libuv1t64 (= ${binary:Version})
+Suggests: libuv1-doc
 Conflicts: libuv-dev
 Replaces: libuv-dev
 Description: asynchronous event notification library - development files
@@ -43,12 +41,15 @@
  Install this package if you wish to develop your own programs using the
  libuv engine.
 
-Package: libuv1
-Architecture: any
+Package: libuv1t64
+Architecture: linux-any hurd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libuv1 (<< 1.48.0-1.1)
+Provides: ${t64:Provides}
+Replaces: libuv1
 Description: asynchronous event notification library - runtime library
  Libuv is the asynchronous library behind Node.js. Very similar to libevent or
  libev, it provides the main elements for event driven systems: watching and
@@ -64,3 +65,23 @@
  .
  This package includes the dynamic library against which you can link
  your program.
+
+Package: libuv1-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: asynchronous event notification library - documentation
+ Libuv is the asynchronous library behind Node.js. Very similar to libevent or
+ libev, it provides the main elements for event driven systems: watching and
+ waiting for availability in a set of sockets, and some other events like timers
+ or asynchronous messages. However, libuv also comes with some other extras
+ like:
+  * files watchers and asynchronous operations
+  * a portable TCP and UDP API, as well as asynchronous DNS resolution
+  * processes and threads management, and a portable inter-process
+    communications mechanism, with pipes and work queues
+  * a plugins mechanism for loading libraries dynamically
+  * interface with external libraries that also need to access the I/O.
+ .
+ This package contains the documentation for libuv1.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,15 @@
 override_dh_auto_test:
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 # tests fail if they are run in parallel
-	#dh_auto_test --no-parallel
+	dh_auto_test --no-parallel
 else
-	#-dh_auto_test
+	-dh_auto_test
 endif
+
+execute_before_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -D html_theme=default docs/src/ $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1/html
+endif
+
+execute_after_dh_installdocs:
+	rm -f $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1-dev/code/.gitignore

## libuv1 1.50.0

=== debian/changelog ===
libuv1 (1.50.0-2ubuntu1) plucky; urgency=medium

  * d/p/fix-tests-on-ubuntu-s390x.patch: fix s390x FTBFS on Ubuntu by
    increasing timer delays in the idle_starvation and timer_from_check tests.
    (LP: #2099827)

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 25 Feb 2025 14:09:40 -0300

libuv1 (1.50.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * Drop ath_max_zero_st_size patch - fixed upstream

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Feb 2025 11:16:12 +0100

libuv1 (1.50.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * update symbols file
  * control: declare compliance with Debian policy 4.7.0

 -- Dominique Dumont <dod@debian.org>  Mon, 03 Feb 2025 12:06:04 +0100

libuv1 (1.49.2-3) experimental; urgency=medium

  * update fix-thread-priority patch
  * update fix-arm-bug patch header

 -- Dominique Dumont <dod@debian.org>  Wed, 29 Jan 2025 19:07:52 +0100

libuv1 (1.49.2-2) experimental; urgency=medium

  * add fix-arm-bug patch
  * remove unused lintian override

 -- Dominique Dumont <dod@debian.org>  Tue, 28 Jan 2025 19:27:46 +0100

libuv1 (1.49.2-1) experimental; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * remove hurd patches
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Jan 2025 18:06:25 +0100

libuv1 (1.48.0-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Move sphinx dependencies to B-D-I. (Closes: 1086732)

 -- Dominique Dumont <dod@debian.org>  Wed, 06 Nov 2024 18:24:35 +0100

libuv1 (1.48.0-6) unstable; urgency=medium

  [ Olivier Valentin ]
  * Upstreamed patches to fix building on the GNU/Hurd

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Sep 2024 17:11:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libuv1
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-sphinxdoc <!nodoc>,
                netbase,
-               pkgconf,
-               sphinx <!nodoc>
-Standards-Version: 4.6.2
+               pkgconf
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     sphinx <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
 Homepage: https://github.com/libuv/libuv
